# node-samples

The edited and commented samples for my Node.js trainings, workshops and hands-on sessions.

For a comprehensive list of books I'd recommend see my [reader](https://github.com/goloroden/reader).

If you have any questions or feedback, feel free to contact me using [@goloroden](https://twitter.com/goloroden) on Twitter.

## Quick start

The following samples have been included so far:

### Basics

- [01 Hello Node.js!](https://github.com/goloroden/node-samples/tree/master/basics/01%20hello-nodejs)
- [02 Creating an http server](https://github.com/goloroden/node-samples/tree/master/basics/02%20creating-an-http-server)
- [03 Using modules](https://github.com/goloroden/node-samples/tree/master/basics/03%20using-modules)

### Connect and Express

- [01 Using Connect](https://github.com/goloroden/node-samples/tree/master/connect-express/01%20using-connect)
- [02 Creating middleware for Connect](https://github.com/goloroden/node-samples/tree/master/connect-express/02%20creating-middleware-for-connect)
- [03 Creating configurable middleware](https://github.com/goloroden/node-samples/tree/master/connect-express/03%20creating-configurable-middleware)
- [04 Using Express](https://github.com/goloroden/node-samples/tree/master/connect-express/04%20using-express)
- [05 Configuring Express](https://github.com/goloroden/node-samples/tree/master/connect-express/05%20configuring-express)
- [06 Using built-in modules](https://github.com/goloroden/node-samples/tree/master/connect-express/06%20using-built-in-modules)

### Socket.io and Now.js

- [01 Using Now.js to create a real-time chat](https://github.com/goloroden/node-samples/tree/master/socketio-nowjs/01%20using-nowjs-to-create-a-real-time-chat)

### jQuery

- [01 Using jQuery on the server](https://github.com/goloroden/node-samples/tree/master/jquery/01%20using-jquery-on-the-server)

*Note: For more information on Node.js and its ecosystem, check out [Node.js & Co.](http://www.amazon.de/dp/389864829X), the first German book on Node.js (which was written by me).*

That's it :-)!

## License

The MIT License (MIT)
Copyright (c) 2012 Golo Roden.
 
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.