// NOTE: Before executing this file, run the appropriate server provided by the
//       server.js file.

// Load the http module.
var http = require('http');

// Load jQuery and the underlying jsdom module.
var $ = require('jquery'),
    jsdom = require('jsdom');

// Execute an AJAX request.
$.ajax({
  url: 'http://localhost:3000/',
  method: 'GET',
  statusCode: {
    200: function (data) {
      // Extract the title from the source of the requested website.
      var $title = $(data).find('title');
      console.log($title.text());

      // Use jQuery to dynamically create a website and deliver it to the client.
      http.createServer(function (req, res) {
        $('<p>The title of the requested website is: ' + $title.text() + '</p>').appendTo('body');
        res.end('<html>' + $('html').html() + '</html>');
      }).listen(3001);
    }
  }
});

// Calling jQuery's create() function, you can create additional contexts.
var $anotherContext = $.create();

// Alternatively, you can use jsdom to provide a new runtime environment for executing
// HTML and JavaScript files.
jsdom.env('http://localhost:3000', function (errs, window) {
  console.log(window.document.innerHTML);
});

// Besides just loading a website, you can also specify scripts, some document properties
// and even which features shall be enabled or disabled in the internal engine.
jsdom.env({
  // The website to fetch. Alternatively you can specify HTML directly here.
  html: 'http://localhost:3000',

  // The scripts to execute on the website.
  scripts: [ 'http://localhost:3000/jquery.js' ],

  // If you do not want to specify scripts by filename, but directly provide JavaScript
  // source code, use the src property instead of the scripts property.
  // src: [ '...' ],
  
  // Specify a referer and cookies to be sent to the requested website.
  document: {
    referer: '...',
    cookie: 'key=...; expires=...; ...'
  },

  // Enable or disable features for the internal engine.
  features: {
    // Should external resources be fetched? If so, which? Possible values are 'script',
    // 'img', 'css', 'frame', 'iframe', 'link' or false.
    FetchExternalResources: [ 'script' ],

    // Should external resources be processed? Possible values are 'script' or false.
    ProcessExternalResources: [ 'script' ],

    // Should loading of some external resources be skipped? If so, specify a regular
    // expression that describes the url of these resources.
    SkipExternalResources: false
  },

  // When everything is done, run this function.
  done: function (errs, window) {
    window.$('title').text('jQuery Europe 2014');
    console.log(window.document.innerHTML);
  }
});